Package ghidra.app.events

# Class ViewChangedPluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.ViewChangedPluginEvent

public final class ViewChangedPluginEvent extends PluginEvent
Event for notifying plugins when the program view changes (what the Code Browser shows in the listing window).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  Name of the event.

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ViewChangedPluginEvent(String source, String treeName, AddressSet viewSet)`
  Constructor for ViewChangedPluginEvent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTreeName()`
  Get the name of the tree where the view is from.
  `AddressSet`
  `getView()`
  Get the address set in the view.
  `String`
  `toString()`
  Returns a string for debugging purposes.

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getDetails, getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    Name of the event.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ViewChangedPluginEvent

    public ViewChangedPluginEvent(String source, String treeName, AddressSet viewSet)
    Constructor for ViewChangedPluginEvent.
    Parameters:
      `source` - name of the plugin that created this event
      `treeName` - name of the tree in the program
      `viewSet` - set of addresses in the view

- ## Method Details

  - ### getTreeName

    public String getTreeName()
    Get the name of the tree where the view is from.

  - ### getView

    public AddressSet getView()
    Get the address set in the view.

  - ### toString

    public String toString()
    Returns a string for debugging purposes.
    Overrides:
      `toString` in class `PluginEvent`
    See Also:
      - `Object.toString()`